#!/bin/sh

dureeTxt()
{
DUREEENTREE=5
if [ -n "$1" ]; then
NBENTREES=$(cat /rw/log.txt | grep "$1" -c)
echo $(echo "$NBENTREES / 12" | bc)h$(echo "$NBENTREES % 12 * 5" | bc | sed "s/^\([0-9]\)$/0\1/g")
else
echo "n'a pas été utilisé pour l'instant"
fi
}

if [ "$1" = "dureeTxt" ]; then
echo "$2": $(dureeTxt "$2")
exit
fi


echo "Statistiques d'utilisation de Malinux Télé ["$(cat /etc/hostname)"]"
echo ""
echo Pepit.be: $(dureeTxt "^file:///usr/share/www-local/www.pepit.be")
echo Tux Type: $(dureeTxt "^tuxtype$")
echo Tux Math: $(dureeTxt "^tuxmath$")
echo Activités Jclic: $(dureeTxt "/usr/share/JClic/activites-jclic-fr")
echo Vikidia: $(dureeTxt "^kiwix$")
echo Gcompris: $(dureeTxt "^gcompris$")
echo Lecture Bamanan: $(dureeTxt "/usr/share/JClic/lecture-bmbm")
echo Lecture Français: $(dureeTxt "/usr/share/JClic/lecture-fr")
echo Tux Paint: $(dureeTxt "^tuxpaint$")
echo ---------------------------------------------------
echo Durée totale de fonctionnement: $(dureeTxt "#DEBUTENTREE#")
echo ---------------------------------------------------
echo ""
echo ""
echo "Détail Lecture:"
echo "-------------------"
echo "Bamanan:"
cat /rw/log.txt | grep /usr/share/JClic/lecture-bmbm | sed "s{^.*/usr/share/JClic/lecture-bmbm/{{g" | sort | uniq | xargs -n1 $0 dureeTxt 
echo ""
echo "Français:"
cat /rw/log.txt | grep /usr/share/JClic/lecture-fr | sed "s{^.*/usr/share/JClic/lecture-fr/{{g" | sort | uniq | xargs -n1 $0 dureeTxt 
echo ""
echo ""
echo "Détail Activités JClic:"
echo "--------------------------"
cat /rw/log.txt | grep /usr/share/JClic/activites-jclic-fr | sed "s{^.*/usr/share/JClic/activites-jclic-fr/{{g" | sort | uniq | xargs -n1 $0 dureeTxt 
echo ""
echo ""
echo "Détail Pepit.be:"
echo "--------------------"
cat /rw/log.txt | grep "file:///usr/share/www-local/www.pepit.be" | sed "s{^.*file:///usr/share/www-local/www.pepit.be/{{g" | sort | uniq | xargs -n1 $0 dureeTxt 
